# Report Service API The Report Service API provides an efficient and secure way to download On-Demand Liquidity (ODL) payment transactions on the RippleNet network. ## Report types Three report types are available in either CSV or JSON format when performing a [List reports](/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreports) operation: | Report type | Description | | :--- | :--- | | `PAYMENT_OPS` | This is a *Basic payment report* suitable for high-level payment investigation and reporting. | | `RECON` | This is a *Reconciliation report* suitable for reconciliation and detailed state-by-state investigation. | | `FAILURE_CONVERSION_SSA` | This is a *Failure conversion & SSA report* suitable for failed payments investigation. | **Note**: These On-Demand Liquidity (ODL) statement reports do not include data on fiat payments in RippleNet. ### Basic payment report The Basic payment report (`PAYMENT_OPS`) provides basic payment data, but not the transaction data within payments. View the [Payment operations reports data fields](/products/payments-odl/api-docs/report_service/reference/openapi/report-data-fields/paymentopsreporttransaction). ### Reconciliation report The Reconciliation report (`RECON`) includes all basic payment data, and also includes trade and liquidation data that may be associated with a payment. A single payment with multiple transactions appears in multiple lines, one line per transaction. Each line includes data that has occurred during the transaction, and all subordinate transactions share the same Payment ID. View the [Reconciliation reports data fields](/products/payments-odl/api-docs/report_service/reference/openapi/report-data-fields/reconciliationreporttransaction). ### Failure conversion & SSA report The Failure conversion & SSA report (`FAILURE_CONVERSION_SSA`) includes failed payments data. View the [Failure conversion & SSA report data fields](/products/payments-odl/api-docs/report_service/reference/openapi/report-data-fields/failureconversionssatransaction). ### Report availability Reports are available in pre-generated formats for the previous two months and the current month-to-date. The month-to-date report is generated daily at 00:00 AM (UTC) and is generally available one minute later, at 00:01 AM. #### Example: Report availability On October 16th, you can get: * Full month reports for August and September. * A month-to-date report from October 1st to October 16th. | Month | Example | Description | | --- | --- | --- | | Current | October 1, 2022 to
October 16, 2022 at 00:00 AM | Includes ODL payment data from the first day of the current month up to 00:00 AM (UTC) of the current day. | | Previous | September
(If the current month is October) | Includes all ODL payment data for the month preceding the current month. | | Month Before Last| August
(If the current month is October) | Includes all ODL payment data from the month preceding the last month. | ### API operations Use these operations to view a list of reports, or download a specific report. | API operation | Description | | --- | --- | | [List reports](/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreports) | View a list of available reports. | | [Create a report](/products/payments-odl/api-docs/report_service/reference/openapi/reports/postreport) | Create a report. | | [Get a report](/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreport) | View a specific report. | | [Delete a report](/products/payments-odl/api-docs/report_service/reference/openapi/reports/deletereport) | Delete a specific report. | | [Download a report](/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreportdownload) | Download an individual report in JSON or CSV format. | ## Authentication To use any API operation you need a valid access token. You must include a valid access token in the `Authorization` header of each request. For more information about getting an access token, see [Authentication](/products/payments-odl/api-docs/ripplenet/best-practices/authentication/#request-the-access-token). ### Environments You can use the Report Service API with the test and production environments by using different base URLs.
Environment Base URL Description
Test reporting-test.rnc.ripplenet.com Test environment with simulated partners and simulated currency.
Production reporting.rnc.ripplenet.com Production environment with actual partners and actual currency.
## Servers Test environment
Learn about API environments ``` https://reporting-test.rnc.ripplenet.com ``` Production environment ``` https://reporting.rnc.ripplenet.com ``` ## Security ### Bearer Type: http Scheme: bearer Bearer Format: JWT ## Download OpenAPI description [Report Service API](https://docs.ripple.com/_bundle/products/payments-odl/api-docs/report_service/reference/openapi.yaml) ## Reports The Report Service API provides `PAYMENT_OPS`, `RECON`, and `FAILURE_CONVERSION_SSA` reports in either CSV or JSON format. ### List reports - [GET /v1/reports](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreports.md): Returns an array of reports available for download. Each array element represents an available report, and contains the reportId, reportType, and reportFormat fields associated with that report. To get the download link for a specific report, store the reportId for the report you want, and use it with the Get a report operation. ### Create report - [POST /v1/reports](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/postreport.md): Request the generation of a custom report based on the specified parameters. Report duration Reports can contain up to 90 days of transactions from the previous 9 months. * Minimum report duration is 1 day. * Maximum report duration is 90 days. #### Report retention Reports are retained for 6 months after the endDate specified in your request. After this period, the report is purged and will no longer be accessible. ### Get a report - [GET /v1/reports/{report-id}](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreport.md): Here, you apply the report-id from the List reports operation as the path parameter to get a downloadlink containing the report. Download the report at the link in the downloadLink field in the response. ### Delete reports - [DELETE /v1/reports/{report-id}](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/deletereport.md): Delete a specific report with the report-id path parameter. ### Download a report - [GET /v1/reports/download/{report-id}](https://docs.ripple.com/products/payments-odl/api-docs/report_service/reference/openapi/reports/getreportdownload.md): Download a transaction report. Download the report by applying the report-id from the List reports operation as a path parameter. Note: Depending on the reportId you specified, the returned report is either a Payment operations report or a Reconciliation report.